using System;
using System.Collections.Generic;
using System.Runtime.InteropServices;

namespace SimpleBurn
{
        [ComImport]
        [Guid("3d73a659-e5d0-4d42-afc0-5121ba425c8d")] //System's ICDBurn Interface
        [InterfaceType(ComInterfaceType.InterfaceIsIUnknown)]
        internal interface ICDBurn
        {
            uint GetRecorderDriveLetter(
                [MarshalAs(UnmanagedType.LPWStr,SizeParamIndex =1)]
              string pszDrive,
               uint cch); //Get Drive Letter Write - Enabled CD Drive
   
            int SBBurn(IntPtr hWnd); // Copy From Staging Area To Writable CD.

            int SBRecordableDrivePresent(ref int iHasRecorder); //Determines Presence Of Recordable Drive
         }
} 

